<%@ taglib prefix="x" uri="http://java.sun.com/jstl/xml" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>



<c:set var="xmlDocument" scope="page">

<catalogo>
  <prodotto codice="A12">
    <nome>portafoglio</nome>
    <descrizione>portafoglio di pelle nera</descrizione>
    <settore>pelletteria</settore>
  </prodotto>
  <prodotto codice="A13">
    <nome>borsa 24 ore</nome>
    <descrizione>borsa da viaggio in pelle marrone</descrizione>
    <settore>pelletteria</settore>
  </prodotto>
  <prodotto codice="A14">
    <nome>candelabro</nome>
    <descrizione>antico stile barocco</descrizione>
    <settore>argenteria</settore>
  </prodotto>
  <prodotto codice="A15">
    <nome>portachiavi</nome>
    <descrizione>portachiavi in pelle di nabuk</descrizione>
    <settore>pelletteria</settore>
  </prodotto>
  <prodotto codice="A16">
    <nome>set posate da 12</nome>
    <descrizione>set completo di posate da 12</descrizione>
    <settore>argenteria</settore>
  </prodotto>
  <settore_attivo><%=(request.getParameter("settore_sel")==null)?"pelletteria":request.getParameter("settore_sel")%></settore_attivo>
</catalogo>
</c:set>

<x:parse xml="${xmlDocument}" var="xml"/>





<c:set var="xslUrl">catalogo.xsl</c:set>
<c:import var="xslDocument" url="${xslUrl}" scope="page"/>
<x:parse xml="${xslDocument}" var="xsl"/>


<x:transform xml="${xml}" xslt="${xsl}"/>

